Summary:	X Toolkit Intrinsics library
Summary(pl.UTF-8):	Biblioteka X Toolkit Intrinsics
Name:		xorg-lib-libXt
Version:	1.3.0
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXt-%{version}.tar.xz
# Source0-md5:	4ea21d3b5a36d93a2177d9abed2e54d4
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.70
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	sed >= 4.0
BuildRequires:	libtool >= 2:2
BuildRequires:	libxslt-progs
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto >= 0.0.20
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-sgml-doctools >= 1.1
BuildRequires:	xorg-util-util-macros >= 1.16
BuildRequires:	xz
Obsoletes:	libXt < 0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Toolkit Intrinsics library.

%description -l pl.UTF-8
Biblioteka X Toolkit Intrinsics.

%package devel
Summary:	Header files for libXt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXt
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libSM-devel
Requires:	xorg-lib-libX11-devel
Obsoletes:	libXt-devel < 0.2

%description devel
X Toolkit Intrinsics library.

This package contains the header files needed to develop programs that
use libXt.

%description devel -l pl.UTF-8
Biblioteka X Toolkit Intrinsics.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXt.

%package static
Summary:	Static libXt library
Summary(pl.UTF-8):	Biblioteka statyczna libXt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXt-static < 0.2

%description static
X Toolkit Intrinsics library.

This package contains the static libXt library.

%description static -l pl.UTF-8
Biblioteka X Toolkit Intrinsics.

Pakiet zawiera statyczną bibliotekę libXt.

%prep
%setup -q -n libXt-%{version}

# support __libmansuffix__ with "x" suffix (per FHS 2.3)
%{__sed} -i -e 's,\.so man__libmansuffix__/,.so man3/,' man/*.man

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--without-fop
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults
install -d $RPM_BUILD_ROOT%{_datadir}/X11/{cs,da,de,es,es_AR,eu,fr,hu,it,ja,ko,mg,nb,nl,oc,pl,pt,pt_BR,ru,sk,sv,zh_CN,zh_TW}/app-defaults

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libXt

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXt.so.6
%dir %{_datadir}/X11/app-defaults
%lang(cs) %{_datadir}/X11/cs
%lang(da) %{_datadir}/X11/da
%lang(de) %{_datadir}/X11/de
%lang(es) %{_datadir}/X11/es
%lang(es_AR) %{_datadir}/X11/es_AR
%lang(eu) %{_datadir}/X11/eu
%lang(fr) %{_datadir}/X11/fr
%lang(hu) %{_datadir}/X11/hu
%lang(it) %{_datadir}/X11/it
%lang(ja) %{_datadir}/X11/ja
%lang(ko) %{_datadir}/X11/ko
%lang(mg) %{_datadir}/X11/mg
%lang(nb) %{_datadir}/X11/nb
%lang(nl) %{_datadir}/X11/nl
%lang(oc) %{_datadir}/X11/oc
%lang(pl) %{_datadir}/X11/pl
%lang(pt) %{_datadir}/X11/pt
%lang(pt_BR) %{_datadir}/X11/pt_BR
%lang(ru) %{_datadir}/X11/ru
%lang(sk) %{_datadir}/X11/sk
%lang(sv) %{_datadir}/X11/sv
%lang(zh_CN) %{_datadir}/X11/zh_CN
%lang(zh_TW) %{_datadir}/X11/zh_TW

%files devel
%defattr(644,root,root,755)
%doc specs/intrinsics.html
%attr(755,root,root) %{_libdir}/libXt.so
%{_libdir}/libXt.la
%{_includedir}/X11/CallbackI.h
%{_includedir}/X11/Composite*.h
%{_includedir}/X11/Constrain*.h
%{_includedir}/X11/ConvertI.h
%{_includedir}/X11/Core*.h
%{_includedir}/X11/CreateI.h
%{_includedir}/X11/EventI.h
%{_includedir}/X11/HookObjI.h
%{_includedir}/X11/InitialI.h
%{_includedir}/X11/Intrinsic*.h
%{_includedir}/X11/Object*.h
%{_includedir}/X11/PassivGraI.h
%{_includedir}/X11/RectObj*.h
%{_includedir}/X11/ResConfigP.h
%{_includedir}/X11/ResourceI.h
%{_includedir}/X11/SelectionI.h
%{_includedir}/X11/Shell*.h
%{_includedir}/X11/StringDefs.h
%{_includedir}/X11/ThreadsI.h
%{_includedir}/X11/TranslateI.h
%{_includedir}/X11/VarargsI.h
%{_includedir}/X11/Vendor*.h
%{_includedir}/X11/Xtos.h
%{_pkgconfigdir}/xt.pc
%{_mandir}/man3/MenuPop*.3*
%{_mandir}/man3/Xt*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXt.a
%changelog
* Thu Apr 27 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXt.git;a=log;h=master

* Thu Apr 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 89e6cf6
- updated to 1.3.0

* Mon Jan 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 8e87095
- updated to 1.2.1

* Tue Jun 25 2019 Jakub Bogusz <qboosh@pld-linux.org> ff87794
- updated to 1.2.0

* Wed May 06 2015 Jakub Bogusz <qboosh@pld-linux.org> be73098
- updated to 1.1.5

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9441b5e
- x32 rebuild
- release 2 (by relup.sh)

* Tue Dec 23 2014 Jan Rękorajski <baggins@pld-linux.org> ebcdaa8
- updated files

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 98df871
- unified .so man links fix wrt "x" suffix
- disable building .ps and .pdf docs using fop (not packaged anyway)

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b21820
- up to 1.1.4; fixes CVE-2013-2002, CVE-2013-2005

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> 56aa5d5
- fix man links pointing to inexistent section

* Fri Mar 16 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c50217
- up to 1.1.3

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> bea9d47
- updated to 1.1.2

* Fri Mar 11 2011 Jakub Bogusz <qboosh@pld-linux.org> f5db8de
- updated to 1.1.1

* Mon Mar 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 0b22c12
- updated to 1.1.0

* Fri Oct 29 2010 Jakub Bogusz <qboosh@pld-linux.org> ee2f4d9
- updated to 1.0.9

* Tue Mar 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 34950c5
- up to 1.0.8

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> a2e382f
- rebuild
- rel 2

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> 2a6ba22
- updated util-macros version

* Fri Oct 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 897ff08
- up to 1.0.7

* Wed Sep 30 2009 Jakub Bogusz <qboosh@pld-linux.org> 8cbb3ff
- updated util-macros version
- ghost soname symlink
- more verbose files and descs
- added README to doc

* Fri Jul 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 90b506f
- up to 1.0.6

